## xorg-server 1.1.99.3-0osso21

=== debian/changelog ===
xorg-server (1:1.1.99.3-0osso21) unstable; urgency=low

  * Don't call SYNC_GFX when we've explicitly disabled vsync.
  * Fast-path unrotated I420 in KdXVCopyPlanarData.
    Fixes: NB#48325

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 23 Nov 2006 13:16:57 +0200

xorg-server (1:1.1.99.3-0osso20) unstable; urgency=low

  * Make sure we sync the video plane before we touch the memory (fixes:
    NB#47522).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 13 Nov 2006 18:29:29 +0200

xorg-server (1:1.1.99.3-0osso19) unstable; urgency=low

  * Recalibrate touchscreen for F4, add all known F4/F5 hardware IDs to it and
    set it as the default for this touchscreen.  Reorganise earlier
    calibrations and add all known earlier hardware IDs as aliases to these
    (fixes: NB#47030).
  * Try to bring our stopping and starting of the overlay as close together as
    possible, and don't damage the region when we change the colourkey, and
    try to reduce the number of system calls we make along these paths.  This
    fixes the random green flashes (fixes: NB#47032).
  * Make sure vmods get written as well as correctly sized (fixes: NB#46717).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  9 Nov 2006 16:00:51 +0200

xorg-server (1:1.1.99.3-0osso18) unstable; urgency=low

  * Ensure XKB vmodmap reply size is the same as what's actually sent on the
    wire (fixes: NB#46717).
  * Dirty overlay on cliprect changes, gently reset it (fixes: NB#45954).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  7 Nov 2006 17:26:32 +0200

xorg-server (1:1.1.99.3-0osso17) unstable; urgency=low

  * Perform serious arg reduction in the fbComposite* paths.
  * Fix crash in XSelectEvents (fixes: NB#46237).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  1 Nov 2006 15:59:29 +0200

xorg-server (1:1.1.99.3-0osso16) unstable; urgency=low

  * Another typo in the changelog.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 31 Oct 2006 12:30:26 +0200

xorg-server (1:1.1.99.3-0osso15) unstable; urgency=low

  * Fix typo in osso14 changelog.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 31 Oct 2006 12:13:31 +0200

xorg-server (1:1.1.99.3-0osso14) unstable; urgency=low

  * Disable damage timer when idle (fixes: NB#45627).
  * Re-iterate the timer list when forcing all timers (fixes: NB#45763,
    NB#45899, NB#45959).
  * Properly count two pixels for horizontal downscaling (fixes: NB#45901).
  * Don't enable the segfault handler unless building with debug (fixes:
    NB#45976).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 30 Oct 2006 14:13:45 +0200

xorg-server (1:1.1.99.3-0osso13) unstable; urgency=low

  * Cope with time rewinding in WaitForSomething (fixes: #44137).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 25 Oct 2006 19:49:31 +0300

xorg-server (1:1.1.99.3-0osso12) unstable; urgency=low

  * Remove the word 'W***o' from xf86PciStdIds.h.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 19 Oct 2006 16:58:07 +0300

xorg-server (1:1.1.99.3-0osso11) unstable; urgency=low

  * Version bumped for purely arbitrary reasons: the last two versions were
    never included.
  * Always stop video when port is ungrabbed (either explicitly or when client
    dies).
  * Fix Nokia Corporation copyrights, and remove pci.ids (closes: #43378).
  * Fix horizontal downscaling to odd widths (closes: #40703).
  * Sync to vblank by default (closes: #38674).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  4 Oct 2006 13:49:49 +0000

xorg-server (1:1.1.99.3-0osso10) unstable; urgency=low

  * Simplify omap_draw.c further.
  * Make sure ButtonReleases always come from the right place, and jitter
    filter doesn't get activated on new presses.
  * Clear the video overlay when we release it.
  * Add memcpy()-based fast paths to KdXvCopyPackedData.
  * Add memcpy()-based fast path to omapCopyPackedData, and do aligned
    accesses for the fallback.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 22 Sep 2006 09:54:30 +0000

xorg-server (1:1.1.99.3-0osso9) unstable; urgency=low

  * Silence warning about UPDATE_WINDOW failure in Xv (closes: #40688).
  * Special-case XkbDDXTerminateServer for KDrive (closes: #32638 and #38380,
    really this time).
  * Completely gut omap_draw.c and move to using the miext/damage API.
  * Bumped Build-Depends on x11proto-core-dev for _X_INLINE.
  * Completely overhaul tslib queue (closes: #39506).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 19 Sep 2006 14:47:09 +0300

xorg-server (1:1.1.99.3-0osso8) unstable; urgency=low

  * Properly initialise pPortPriv in the Xv implementation.
  * Don't check for .default at each boot (closes: #40285).
  * Don't stomp -nozap in KDrive when using XKB (closes: #32638).
  * Fix XKB repeating (closes: #36966).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 13 Sep 2006 10:10:56 +0000

xorg-server (1:1.1.99.3-0osso7) unstable; urgency=low

  * Update to input-hotplug HEAD again.
    + Be 'smarter' about clobbering geometry (closes: #39626).
  * Re-add missing backtrace support (lost in the git merge).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  7 Sep 2006 12:48:23 +0300

xorg-server (1:1.1.99.3-0osso6) unstable; urgency=low

  * Add Xv point-sampling downscaling support.
  * Mark a plane as dirty when its attributes change, and set the plane up
    again.
  * Make sure we actually expose the downscaling type attribute, but don't
    expose the colourkey attribute yet, due to #39223.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 29 Aug 2006 14:01:02 +0000

xorg-server (1:1.1.99.3-0osso5) unstable; urgency=low

  * Update to input-hotplug HEAD.
    + Fixes random Caps Lock behaviour (closes: #36997) and key repeating
      when using XKB (closes: #38855).
    + Doesn't run custom KDrive actions when using XKB (closes: #38380).
  * Move XKB output dir to /tmp (closes: #38780).
  * Use thumb mode when enabled (closes: #36583).
  * Remove increment-other-direction-when-scaling-in-one Xv hack and spam

