=== debian/control ===
Source: xorg-server
Section: x11
Priority: optional
Maintainer: Daniel Stone <daniel.stone@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, bison, flex, x11proto-bigreqs-dev, x11proto-core-dev (>= 7.0.8), x11proto-damage-dev, x11proto-fixes-dev, x11proto-kb-dev (>= 1.0.1-1), x11proto-xinerama-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-trap-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev (>= 6.9.99.0-1), x11proto-xf86bigfont-dev, xtrans-dev, libxau-dev (>= 1:0.99.1-1), libxdmcp-dev (>= 1:0.99.1-1), libxfont-dev, libfontenc-dev, libxkbfile-dev (>= 1:0.99.1-1), libxmuu-dev (>= 1:0.99.1-1) [i386 amd64], libxext-dev (>= 1:1.0.0-3) [i386 amd64], libx11-dev (>= 2:1.0.0-6osso1) [i386 amd64], libxrender-dev (>= 1:0.9.0-1) [i386 amd64], libxi-dev (>= 1:0.99.1-1) [i386 amd64], quilt, x11proto-xsp-dev, tslib-dev [arm armel], linux-kernel-headers (>= 2.6.16.osso3)
Build-Conflicts: xlibs-static-dev
Standards-Version: 3.6.1.0

Package: xserver-xomap
Architecture: arm armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: xserver
Recommends: xkbdata, xkbutils
Description: OMAP X server
 The Xomap server provides a driver for the Maemo hardware platform,
 using the OMAP framebuffer drivers and a touchscreen.

Package: xserver-xephyr
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nested X server
 The Xephyr server is a nested X server, which allows you to run another
 X server for testing purposes.
