## xorg-server 1.1.99.3-0osso31

=== debian/changelog ===
xorg-server (1:1.1.99.3-0osso31) unstable; urgency=low

  * Really don't attempt to render to deleted drawables (fixes: #52364).
  * Stop fully-obscured non-migrated videos harder (fixes: NB#52503).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  6 Mar 2007 17:30:02 +0200

xorg-server (1:1.1.99.3-0osso30) unstable; urgency=low

  * Don't attempt to render to deleted drawables (fixes: NB#52333).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  5 Mar 2007 15:33:19 +0200

xorg-server (1:1.1.99.3-0osso29) unstable; urgency=low

  * Cancel timer when stopping video, and NULL it when cancelling (fixes:
    NB#52332, NB#52333).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  1 Mar 2007 14:49:39 +0200

xorg-server (1:1.1.99.3-0osso28) unstable; urgency=low

  * Make sure updates always occur when they should (fixes: NB#51953,
    NB#52044, NB#51873).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 21 Feb 2007 21:03:49 +0200

xorg-server (1:1.1.99.3-0osso27) unstable; urgency=low

  * Really fix client setup leaks, as well as a keysym map leak that's already
    fixed in master (fixes: NB#41259).
  * Fix planar video downscaling (fixes: NB#51873).

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 16 Feb 2007 19:08:09 +0200

xorg-server (1:1.1.99.3-0osso26) unstable; urgency=low

  * Don't listen on TCP (fixes: NB#51715, MB#1055).
  * Further tweak tslib queuing semantics (fixes: NB#50302).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 14 Feb 2007 10:18:30 +0000

xorg-server (1:1.1.99.3-0osso25) unstable; urgency=low

  * Make sure overlay is _always_ cleared when releasing migrated videos
    (fixes: NB#51487).
  * Fix pixel doubling updates (fixes: NB#41076).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  8 Feb 2007 15:26:04 +0200

xorg-server (1:1.1.99.3-0osso24) unstable; urgency=low

  * Sync UI drawing to vblank (fixes: NB#50830).
  * Don't migrate downscaled videos (fixes: NB#50771).
  * Fix memory leak in client setup (fixes: NB#41259), Xephyr screen privates
    and core keyboard modifier map (fixes: NB#50609).  Also fix
    under-allocation of keysym map, and use of uninitialised postdown.
  * Make a more pessimistic guess at window visibility if we can't get it when
    starting a video (fixes: NB#50813).
  * Make sure we never issue a UI update from video hooks that affect other
    video areas (fixes: NB#50664).
  * Add a timer to update blocking so we don't block updates when a video is
    stopped (fixes: NB#50646).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  5 Feb 2007 14:24:02 +0200

xorg-server (1:1.1.99.3-0osso23) unstable; urgency=low

  * Always align y and height on 2px boundaries.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 11 Jan 2007 12:46:59 +0200

xorg-server (1:1.1.99.3-0osso22) unstable; urgency=low

  * Overhaul omap_video.c to suit new kernel interfaces, allowing us to pass
    planar video through to the external LCD controller.
  * Re-add support for pixel doubling, in the form of window expansion (fixes:
    NB#41076).
  * Fix segfault on regeneration.
  * Resync fbmmx signatures (fixes: NB#47760).
  * Make sure we don't revive an inactive overlay (fixes: NB#46112, NB#48519).
  * Add xserver-x{omap,ephyr}-dbg (fixes: NB#48207).
  * Disable the XC-SECURITY extension.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 21 Nov 2006 09:52:10 +0200

xorg-server (1:1.1.99.3-0osso21.1) unstable; urgency=low

  * Always send button 1, instead of button 8, for thumb events.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 30 Nov 2006 15:43:42 +0200
