## xorg-server 1.1.99.3-0osso37

=== debian/changelog ===
xorg-server (1:1.1.99.3-0osso37) unstable; urgency=low

  * Make sure press and release pressure are matched (fixes: NB#59900).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  7 Jun 2007 15:22:12 +0300

xorg-server (1:1.1.99.3-0osso36) unstable; urgency=low

  * Send button 8 events instead of button 1 (fixes: NB#59707).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  6 Jun 2007 16:36:24 +0300

xorg-server (1:1.1.99.3-0osso35) unstable; urgency=low

  * Also perform calibration for earlier hardware builds.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  5 Jun 2007 18:39:30 +0300

xorg-server (1:1.1.99.3-0osso34) unstable; urgency=low

  * Re-calibrate for new kernel touchscreen driver.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 15 May 2007 12:49:10 +0300
