=== debian/control ===
--- 
+++ 
@@ -15,9 +15,23 @@
  The Xomap server provides a driver for the Maemo hardware platform,
  using the OMAP framebuffer drivers and a touchscreen.
 
+Package: xserver-xomap-dbg
+Architecture: arm armel
+Depends: xserver-xomap (= ${Source-Version})
+Description: OMAP X server (debug symbols)
+ This package provides debug symbols for xserver-xomap; please see that
+ package's description for more details.
+
 Package: xserver-xephyr
 Architecture: i386 amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Nested X server
  The Xephyr server is a nested X server, which allows you to run another
  X server for testing purposes.
+
+Package: xserver-xephyr-dbg
+Architecture: i386 amd64 powerpc
+Depends: xserver-xephyr (= ${Source-Version})
+Description: Nested X server (debug symbols)
+ This package provides debug symbols for xserver-xephyr; please see that
+ package's description for more details.
