=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 else
 	CFLAGS += -O2 -g
 endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -58,7 +59,7 @@
              --disable-composite --disable-glx --disable-dri \
              --enable-builtin-fonts --disable-xevie --disable-xck \
              --disable-ipv6 --disable-dbus --enable-null-root-cursor \
-             --with-xkb-output=/tmp $(DEBUG_FLAGS)
+             --with-xkb-output=/tmp --disable-xcsecurity $(DEBUG_FLAGS)
 
 build: build-stamp
 build-stamp: $(STAMP_DIR)/patch
@@ -116,7 +117,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_strip
+	dh_strip --dbg-package=xserver-xomap --dbg-package=xserver-xephyr
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
