## xorg-server 1.3.99.0~git20070321-0osso20083101

=== debian/changelog ===
xorg-server (1:1.3.99.0~git20070321-0osso20083101) unstable; urgency=low

  * Fix memory leak when using Hailstorm overlay (fixes: NB#86543).
  * Fix memory leak in fb update code (fixes: NB#86873).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 31 Jul 2008 16:58:33 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20082301) unstable; urgency=low

  * Add XV_AUTOPAINT_COLORKEY property.
  * Optimise fbSolid for ARM (fixes: NB#85619).
  * Optimise YV12/I420 -> YUV420 conversion (fixes: NB#85053, MB#1278).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 02 Jun 2008 14:50:53 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20074202) unstable; urgency=low

  * Minor compilation fixes. 

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 17 Oct 2007 16:57:08 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20074201) unstable; urgency=low

  * Fixes: NB#71040
  * Fixes: NB#71868
  * Fixes: NB#72674

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 16 Oct 2007 18:29:19 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20074001) unstable; urgency=low

  * Fixes: NB#71376

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  1 Oct 2007 15:23:25 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073902) unstable; urgency=low

  * Fixes: NB#62174

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 28 Sep 2007 16:49:38 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073901) unstable; urgency=low

  * Fixes: NB#62174

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 27 Sep 2007 15:57:19 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073801) unstable; urgency=low

  * Fixes: NB#62174

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 20 Sep 2007 02:35:37 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073701) unstable; urgency=low

  * Add IDLETIME counter.
  * Fixes: NB#69387

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  6 Sep 2007 16:55:02 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073601) unstable; urgency=low

  * Fixes: NB#65990
  * Fixes: NB#65737

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  3 Sep 2007 12:21:00 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073401) unstable; urgency=low

  * Fixes: NB#61926
  * Fixes: NB#65990

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 16 Aug 2007 17:53:54 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20073001) unstable; urgency=low

  * Fixes: NB#64085
  * Fixes: NB#63893

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 26 Jul 2007 15:48:33 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072802) unstable; urgency=low

  * Clean up working directory (no actual changes).

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 13 Jul 2007 00:55:47 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072801) unstable; urgency=low

  * Pull in new HAL code (fixes: NB#59857).
  * Use non-exclusive evdev grab (fixes: NB#61583).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 12 Jul 2007 17:29:06 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072702) unstable; urgency=low

  * SVN directory removed to satisfy Lintian.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  3 Jul 2007 17:46:08 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072701) unstable; urgency=low

  * Don't use thumb when also using VFP.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 29 Jun 2007 15:34:27 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072601) unstable; urgency=low

  * Fix I420 size calculation (fixes: NB#53446).
  * Really recalibrate for RX-34 and RX-44 (fixes: NB#61279).
  * Add VFP support (fixes: NB#61340).
  * Fix ts_write_calibration return code check (fixes: NB#60304).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 20 Jun 2007 17:22:24 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072501) unstable; urgency=low

  * Grab evdev devices when we enable them (fixes: NB#60167).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 14 Jun 2007 21:29:42 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20072401) unstable; urgency=low

  * Switch to new versioning scheme.
  * Merge up from osso-1.0-branch.
  * Fix xv_colorkey/xv_vsync typo (fixes: NB#60089).

 -- Daniel Stone <daniel.stone@nokia.com>  Mon, 11 Jun 2007 19:02:42 +0300

xorg-server (1:1.3.99.0~git20070321-0osso4) unstable; urgency=low

  * Revert Daniel Amelang's patches, as they can introduce hangs.
  * Revert fds_bits hack.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri,  1 Jun 2007 16:02:02 +0300

xorg-server (1:1.3.99.0~git20070321-0osso3) unstable; urgency=low

  * Tightly control the build environment, so we get fds_bits.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri,  1 Jun 2007 13:11:22 +0300

xorg-server (1:1.3.99.0~git20070321-0osso2) unstable; urgency=low

  * Fix compilation on i386.

 -- Daniel Stone <daniel.stone@nokia.com>  Fri,  1 Jun 2007 11:35:27 +0300

xorg-server (1:1.3.99.0~git20070321-0osso1) unstable; urgency=low

  * Merge up to new master snapshot (i.e., what will become 1.4.0).
  * Add support for the Composite and Damage extensions (fixes: NB#58409).
  * Add default RX-44 calibration (fixes: NB#55465), and move calibrations to
    take the product into account as well as the hardware ID, since these are
    not unique across products.
  * Optimise a8r8g8b8 OVER r5g6b5 and a8b8g8r8 OVER r5g6b5 (from Daniel
    Amelang).
  * Change armel to wildcarded arm (fixes: NB#53681).
  * Move input hotplug to HAL, use evdev driver (fixes: NB#54936, NB#56384,
    NB#57989).

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 15 Feb 2007 13:38:02 +0000

xorg-server (1:1.1.99.3-0osso33) unstable; urgency=low

  * Disable event filtering in tslib: let tslib do it.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 15 May 2007 12:49:10 +0300

xorg-server (1:1.1.99.3-0osso32) unstable; urgency=low

  * Add default RX-44 calibration (fixes: NB#55465), and move calibrations to
    take the product into account as well as the hardware ID, since these are
    not unique across products.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  3 May 2007 13:06:43 +0300
