=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,14 @@
 	DEBUG_FLAGS="--enable-debug"
 endif
 
-# Use soft-float and thumb mode if it enabled.
-ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
+# Use hardware floating point
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+else
+	# Use soft-float and thumb mode if it enabled.
+	ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+		CFLAGS += -mthumb
+	endif
 endif
 
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -42,7 +47,7 @@
 # Build Xomap on ARM, Xephyr on i386/amd64.  Xephyr doesn't work with
 # Xomap.  Woo.  Also, ARM means a product target, i386/amd64 means an
 # SDK target.  We really need a better way of making this distinction.
-ifeq ($(DEB_BUILD_ARCH),armel)
+ifneq (,$(findstring arm,$(DEB_BUILD_ARCH)))
 KDRIVE_PLATFORM_FLAGS=--enable-xomap --disable-xephyr --enable-xsp --enable-xkb --with-vendor-string=Nokia
 else
 KDRIVE_PLATFORM_FLAGS=--disable-xomap --enable-xephyr --disable-xsp --disable-xkb --with-vendor-string=Maemo
@@ -56,10 +61,10 @@
              --disable-lbx --disable-xorgconfig --disable-xorgcfg \
              --disable-xtrap --enable-xsp --disable-xnest --disable-xwin \
              --disable-xgl --enable-kdrive $(KDRIVE_PLATFORM_FLAGS) \
-             --disable-composite --disable-glx --disable-dri \
-             --enable-builtin-fonts --disable-xevie --disable-xck \
-             --disable-ipv6 --disable-dbus --enable-null-root-cursor \
-             --with-xkb-output=/tmp --disable-xcsecurity $(DEBUG_FLAGS)
+             --disable-glx --disable-dri --enable-builtin-fonts \
+	     --disable-xevie --disable-ipv6 --enable-dbus \
+	     --enable-null-root-cursor --with-xkb-output=/tmp \
+	     --disable-xcsecurity --enable-hal $(DEBUG_FLAGS)
 
 build: build-stamp
 build-stamp: $(STAMP_DIR)/patch
@@ -94,7 +99,7 @@
 	dh_installdirs
 
 	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-ifeq ($(DEB_BUILD_ARCH),armel)
+ifneq (,$(findstring arm,$(DEB_BUILD_ARCH)))
 	install -d $(CURDIR)/debian/xserver-xomap/etc
 	install -m644 $(CURDIR)/debian/pointercal-* $(CURDIR)/debian/xserver-xomap/etc/
 	install -d $(CURDIR)/debian/xserver-xomap/etc/osso-af-init
@@ -110,7 +115,7 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_install --sourcedir=debian/tmp
-ifeq ($(DEB_BUILD_ARCH),armel)
+ifneq (,$(findstring arm,$(DEB_BUILD_ARCH)))
 	dh_installinit -pxserver-xomap --name=x-server -u"start 21 2 3 4 5 . stop 23 0 1 6 ." --no-start
 endif
 	dh_link
