## xorg-server 1.3.99.0~git20070321-0osso20083801

=== debian/changelog ===
xorg-server (1:1.3.99.0~git20070321-0osso20083801) unstable; urgency=low

  * Add missed part of fb optimisations (fixes: NB#86182).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 23 Sep 2008 14:32:13 +0300

xorg-server (1:1.3.99.0~git20070321-0osso20083701) unstable; urgency=low

  * fb optimisation by Siarhei (fixes: NB#86182).
  * Cherry-pick trapezoid divide-by-zero patch (fixes: NB#87289).
  * Add RGB565 Xv support (fixes: NB#86400).

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 12 Sep 2008 18:59:51 +0300
