=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 # Use hardware floating point
 ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+	CFLAGS += -march=armv6 -mfpu=vfp -mfloat-abi=softfp
 else
 	# Use soft-float and thumb mode if it enabled.
 	ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
